ApiHBaseSnapshotError (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHBaseSnapshotError

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseSnapshotError

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHBaseSnapshotError
      extends Object

  A HBase snapshot operation error.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseSnapshotError()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApiHBaseSnapshotError` | `error(String error)`
    `String` | `getError()` Description of the error.
    `String` | `getSnapshotName()` Name of the snapshot.
    `Storage` | `getStorage()` Whether the snapshot is local or remote.
    `String` | `getStorageLocation()` The remote location where a snapshot is stored.
    `String` | `getTableName()` Name of the table.
    `int` | `hashCode()`
    `void` | `setError(String error)`
    `void` | `setSnapshotName(String snapshotName)`
    `void` | `setStorage(Storage storage)`
    `void` | `setStorageLocation(String storageLocation)`
    `void` | `setTableName(String tableName)`
    `ApiHBaseSnapshotError` | `snapshotName(String snapshotName)`
    `ApiHBaseSnapshotError` | `storage(Storage storage)`
    `ApiHBaseSnapshotError` | `storageLocation(String storageLocation)`
    `ApiHBaseSnapshotError` | `tableName(String tableName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseSnapshotError

          public ApiHBaseSnapshotError()

  - ### Method Detail

    - #### tableName

          public ApiHBaseSnapshotError tableName(String tableName)

    - #### getTableName

          public String getTableName()

      Name of the table.
      Returns:
        tableName

    - #### setTableName

          public void setTableName(String tableName)

    - #### snapshotName

          public ApiHBaseSnapshotError snapshotName(String snapshotName)

    - #### getSnapshotName

          public String getSnapshotName()

      Name of the snapshot.
      Returns:
        snapshotName

    - #### setSnapshotName

          public void setSnapshotName(String snapshotName)

    - #### storage

          public ApiHBaseSnapshotError storage(Storage storage)

    - #### getStorage

          public Storage getStorage()

      Whether the snapshot is local or remote.
      Returns:
        storage

    - #### setStorage

          public void setStorage(Storage storage)

    - #### storageLocation

          public ApiHBaseSnapshotError storageLocation(String storageLocation)

    - #### getStorageLocation

          public String getStorageLocation()

      The remote location where a snapshot is stored. /_* Optional - location comes from HBase service config if this is not defined
      Returns:
        storageLocation

    - #### setStorageLocation

          public void setStorageLocation(String storageLocation)

    - #### error

          public ApiHBaseSnapshotError error(String error)

    - #### getError

          public String getError()

      Description of the error.
      Returns:
        error

    - #### setError

          public void setError(String error)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.